import React, { Component } from 'react';
import ReactDOM from 'react-dom';
import { Provider } from 'react-redux';
import AlikeComponent from './container/alikeApp';
import { store } from './store';

if (document.getElementById('alike-admin')) {
  ReactDOM.render(<Provider store={store}>
  	<AlikeComponent />
  </Provider>, document.getElementById('alike-admin'));
}

jQuery('button.alike-reset-data').on('click', function(e) {
  e.preventDefault();
  if (confirm("Are you sure you want to delete all the options data? It will remove all settings from this page.") == true) {
    var alikeResetForm = {
      nonce: ALIKE_ADMIN.builder_nonce,
    };
    jQuery('button.alike-reset-data i').show();
    jQuery.post(ALIKE_ADMIN.ajaxurl+'?action=alike_reset_data', alikeResetForm, function(response) {
      if( response.status_code == 200 ) {
        location.reload();
      }
    }, 'json');
  }
});