import $ from 'jquery';

$(function(){
    // show avaiable post type to add 
    $(document).on('click', '.alike-add-new', function(e){
        e.preventDefault();
        var data = {
            'action': 'alike_compare_table',
            'nonce': ALIKE_ADMIN.builder_nonce,
        };
        jQuery.post(ALIKE_ADMIN.ajaxurl, data, function(response) {
            $('.alike-popup').fadeIn();
            $('.load-ajax-content').html(response.data.html);
        });
    }) 
    //  hide popup 
    $(document).on('click', '.alike-close-popup', function(){
        $('.alike-popup').fadeOut();
    });
    //  add post type 
    $(document).on('click', '.alike-add-posttype', function(){
        var data = {
            'action': 'alike_compare_add_post',
            'nonce': ALIKE_ADMIN.builder_nonce,
            'posttype': $(this).parent('.button-container').siblings('.load-ajax-content').find('select').val()
        };
        jQuery.post(ALIKE_ADMIN.ajaxurl, data, function(response) {
            $('.alike-popup').fadeOut();
           $('.alike-saved_post_types').html(response.data.html);
        });
    });
    // dispaly content to ifream 
    $(document).on('click', '.alike-saved_post_types li a.display-iframe', function(e){
        e.preventDefault();
        let builder_url = $(this).data('url');
        $('.alike-preloader-admin').fadeIn();
        $('.not-selected-posttype').hide();
        $('.responsive-iframe').attr('src', builder_url);
    });
    // remove item 
    $(document).on('click', '.alike-saved_post_types li a.alike-remove-item', function(e){
        e.preventDefault();
        var data = {
            'action': 'alike_compare_remove_post',
            'nonce': ALIKE_ADMIN.builder_nonce,
            'id': $(this).data('id')
        };
        jQuery.post(ALIKE_ADMIN.ajaxurl, data, function(response) {
           $('.alike-saved_post_types').html(response.data.html);
           $('.not-selected-posttype').show();
           $('.alike-preloader-admin').hide();
           $('.responsive-iframe').attr('src', '');
        });
    });
    // delete item 
});